Module javafx.controls
Package javafx.scene.control.skin

## Enum TextInputControlSkin.TextUnit

- java.lang.Object
- - java.lang.Enum<TextInputControlSkin.TextUnit>
  - - javafx.scene.control.skin.TextInputControlSkin.TextUnit

- All Implemented Interfaces:
    `Serializable`, `Comparable<TextInputControlSkin.TextUnit>`, `Constable`
  Enclosing class:
    TextInputControlSkin<T extends TextInputControl>

      public static enum TextInputControlSkin.TextUnit
      extends Enum<TextInputControlSkin.TextUnit>

  Unit names for caret movement.
  See Also:
    `TextInputControlSkin.moveCaret(TextUnit, Direction, boolean)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHARACTER` |
    `LINE` |
    `PAGE` |
    `PARAGRAPH` |
    `WORD` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextInputControlSkin.TextUnit` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TextInputControlSkin.TextUnit[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHARACTER

          public static final TextInputControlSkin.TextUnit CHARACTER

    - #### WORD

          public static final TextInputControlSkin.TextUnit WORD

    - #### LINE

          public static final TextInputControlSkin.TextUnit LINE

    - #### PARAGRAPH

          public static final TextInputControlSkin.TextUnit PARAGRAPH

    - #### PAGE

          public static final TextInputControlSkin.TextUnit PAGE

  - ### Method Detail

    - #### values

          public static TextInputControlSkin.TextUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextInputControlSkin.TextUnit valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null